


     pnmtops(1)           AMIGA (26 October 1991)           pnmtops(1)



     NAME
          pnmtops - convert portable anymap to PostScript

     SYNOPSIS
          pnmtops [-scale s] [-turn|-noturn] [-rle|-runlength] [-dpi
          n] [-width n] [-height n] [-center|-nocenter] [pnmfile]

     DESCRIPTION
          Reads a portable anymap as input.  Produces Encapsulated
          PostScript as output.

          If the input file is in color (PPM), a color PostScript file
          gets written.  Some PostScript interpreters can't handle
          color PostScript.  If you have one of these you will need to
          run your image through ppmtopgm first.

          Note that there is no pstopnm tool - this transformation is
          one-way, because a pstopnm tool would be a full-fledged
          PostScript interpreter, which is beyond the scope of this
          package.  However, see the psidtopgm tool, which can read
          grayscale non-runlength PostScript image data.  Also, if
          you're willing to install the fairly large GhostScript
          package, it comes with a pstoppm script.

     OPTIONS
          The -scale flag controls the scale of the result.  The
          default scale is 1, which on a 300 dpi printer such as the
          Apple LaserWriter makes the output look about the same size
          as the input would if it was displayed on a typical 72 dpi
          screen.  To get one PNM pixel per 300 dpi printer pixel, use
          "-scale 0.25".

          The -turn and -noturn flags control whether the image gets
          turned 90 degrees.  Normally, if an image is wider than it
          is tall, it gets turned automatically to better fit the
          page.  If the -turn flag is specified, it will be turned no
          matter what its shape; and if the -noturn flag is specified,
          it will not be turned no matter what its shape.

          The -rle or -runlength flag specifies run-length
          compression.  This may save time if the host-to-printer link
          is slow; but normally the printer's processing time
          dominates, so -rle makes things slower.

          The -dpi flag lets you specify the dots per inch of your
          output device.  The default is 300 dpi.  In theory
          PostScript is device-independent and you don't have to worry
          about this, but in practice its raster rendering can have
          unsightly bands if the device pixels and the image pixels
          aren't in sync.

          The -width and -height flags let you specify the size of the



     Page 1                                           (printed 3/1/94)






     pnmtops(1)           AMIGA (26 October 1991)           pnmtops(1)



          page.  The default is 8.5 inches by 11 inches.

          With the -nocenter flag, the output is not centered on the
          page, i.e. it appears in the upper left corner. This is
          useful for programs which can include PostScript files, but
          can't cope with pictures which are not positioned in the
          upper left corner. The default is -center i.e. the image is
          centered on the page.

          All flags can be abbreviated to their shortest unique
          prefix.

     SEE ALSO
          pnm(5), psidtopgm(1)

     AUTHOR
          Copyright (C) 1989, 1991 by Jef Poskanzer.
          Modified November 1993 by Wolfgang Stuerzlinger,
          wrzl@gup.uni-linz.ac.at




































     Page 2                                           (printed 3/1/94)



