


     ppmquantall(1)        AMIGA (27 July 1990)         ppmquantall(1)



     NAME
          ppmquantall - run ppmquant on a bunch of files all at once,
          so they share a common colormap

     SYNOPSIS
          ppmquantall ncolors ppmfile ...

     DESCRIPTION
          Takes a bunch of portable pixmap as input.  Chooses ncolors
          colors to best represent all of the images, maps the
          existing colors to the new ones, and overwrites the input
          files with the new quantized versions.

          Verbose explanation: Let's say you've got a dozen pixmaps
          that you want to display on the screen all at the same time.
          Your screen can only display 256 different colors, but the
          pixmaps have a total of a thousand or so different colors.
          For a single pixmap you solve this problem with ppmquant;
          this script solves it for multiple pixmaps.  All it does is
          concatenate them together into one big pixmap, run ppmquant
          on that, and then split it up into little pixmaps again.

          (Note that another way to solve this problem is to pre-
          select a set of colors and then use ppmquant's -map option
          to separately quantize each pixmap to that set.)

     SEE ALSO
          ppmquant(1), ppm(5)

     BUGS
          It's a csh script.  Csh scripts are not portable to System
          V.  Scripts in general are not portable to non-Unix
          environments.

     AUTHOR
          Copyright (C) 1991 by Jef Poskanzer.



















     Page 1                                           (printed 3/1/94)



