


     ppmshift(1)         AMIGA (16 November 1993)          ppmshift(1)



     NAME
          ppmshift - shift lines of a portable pixmap left or right by
          a random amount

     SYNOPSIS
          ppmshift shift [ppmfile]

     DESCRIPTION
          Reads a portable pixmap as input. Shifts every row of image
          data to the left or right by a certain amount. The 'shift'
          parameter determines by how many pixels a row is to be
          shifted at most.

          Another one of those effects I intended to use for MPEG
          tests.  Unfortunately, this program will not help me here -
          it creates too random patterns to be used for animations.
          Still, it might give interesting results on still images.

     EXAMPLE
          Check this out: Save your favourite model's picture from
          something like alt.binaries.pictures.supermodels (ok, or
          from any other picture source), convert it to ppm, and
          process it e.g. like this, assuming the picture is 800x600
          pixels:
            # take the upper half, and leave it like it is
            pnmcut 0 0 800 300 cs.ppm >upper.ppm

            # take the lower half, flip it upside down, dim it and
          distort it a little
            pnmcut 0 300 800 300 cs.ppm | pnmflip -tb | ppmdim 0.7 |
               ppmshift 10 >lower.ppm

            # and concatenate the two pieces
            pnmcat -tb upper.ppm lower.ppm >newpic.ppm The resulting
          picture looks like the image being reflected on a water
          surface with slight ripples.

     SEE ALSO
          ppm(5), pnmcut(1), pnmflip(1), ppmdim(1), pnmcat(1)

     AUTHOR
          Copyright (C) 1993 by Frank Neumann













     Page 1                                           (printed 3/1/94)



