/* */

#ifndef _PPM_CMAP2_H_
#define _PPM_CMAP2_H_

#include "ppm.h"
#include "ppmcmap.h"


/* Declarations of routines. */

colorhash_table ppm_colorrowtocolorhash ARGS((pixel *colorrow, int ncolors));
pixel * ppm_computecolorrow ARGS((pixel **pixels, int cols, int rows, int maxcolors, int *ncolorsP));
pixel * ppm_mapfiletocolorrow ARGS((FILE *file, int maxcolors, int *ncolorsP, pixval *maxvalP));
void    ppm_colorrowtomapfile ARGS((FILE *ofp, pixel *colormap, int ncolors, pixval maxval));
void    ppm_sortcolorrow ARGS((pixel *colorrow, int ncolors, int (*cmpfunc)(pixel *, pixel *) ));
int     ppm_addtocolorrow ARGS((pixel *colorrow, int *ncolorsP, int maxcolors, pixel *pixelP));
int     ppm_findclosestcolor ARGS((pixel *colorrow, int ncolors, pixel *pP));

/* standard sort function for ppm_sortcolorrow() */
#define PPM_STDSORT     (int (*)(pixel *, pixel *))0


#endif /* _PPM_CMAP2_H_ */

