


     fstopgm(1)             AMIGA (06 April 89)             fstopgm(1)



     NAME
          fstopgm - convert a Usenix FaceSaver(tm) file into a
          portable graymap

     SYNOPSIS
          fstopgm [fsfile]

     DESCRIPTION
          Reads a Usenix FaceSaver(tm) file as input.  Produces a
          portable graymap as output.

          FaceSaver(tm) files sometimes have rectangular pixels.
          While fstopgm won't re-scale them into square pixels for
          you, it will give you the precise pnmscale command that will
          do the job.  Because of this, reading a FaceSaver(tm) image
          is a two-step process.  First you do:
            fstopgm > /dev/null
          This will tell you whether you need to use pnmscale. Then
          use one of the following pipelines:
            fstopgm | pgmnorm
            fstopgm | pnmscale -whatever | pgmnorm
          To go to PBM, you want something more like one of these:
            fstopgm | pnmenlarge 3 | pgmnorm | pgmtopbm
            fstopgm | pnmenlarge 3 | pnmscale <whatever> | pgmnorm | pgmtopbm
          You want to enlarge when going to a bitmap because otherwise
          you lose information; but enlarging by more than 3 does not
          look good.

          FaceSaver is a registered trademark of Metron Computerware
          Ltd. of Oakland, CA.

     SEE ALSO
          pgmtofs(1), pgm(5), pgmnorm(1), pnmenlarge(1), pnmscale(1),
          pgmtopbm(1)

     AUTHOR
          Copyright (C) 1989 by Jef Poskanzer.


















     Page 1                                           (printed 3/1/94)



