


     pbmtext(1)           AMIGA (26 October 1993)           pbmtext(1)



     NAME
          pbmtext - render text into a bitmap

     SYNOPSIS
          pbmtext [-font fontfile] [-builtin fontname] [text]

     DESCRIPTION
          Takes the specified text, either a single line from the
          command line or multiple lines from standard input, and
          renders it into a bitmap.

     OPTIONS
          By default, pbmtext uses a built-in font called bdf (about a
          10 point Times-Roman font).  You can use a fixed width font
          by specifying -builtin fixed.

          You can also specify your own font with the -font flag.  The
          fontfile is either a BDF file from the X window system or a
          PBM file.

          If the fontfile is a PBM file, it is created in a very
          specific way.  In your window system of choice, display the
          following text in the desired (fixed-width) font:

              M ",/^_[`jpqy| M

              /  !"#$%&'()*+ /
              < ,-./01234567 <
              > 89:;<=>?@ABC >
              @ DEFGHIJKLMNO @
              _ PQRSTUVWXYZ[ _
              { \]^_`abcdefg {
              } hijklmnopqrs }
              ~ tuvwxyz{|}~  ~

              M ",/^_[`jpqy| M

          Do a screen grab or window dump of that text, using for
          instance xwd, xgrabsc, or screendump.  Convert the result
          into a pbm file.  If necessary, use pnmcut to remove
          everything except the text.  Finally, run it through pnmcrop
          to make sure the edges are right up against the text.
          pbmtext can figure out the sizes and spacings from that.

     SEE ALSO
          pbm(5), pnmcut(1), pnmcrop(1)

     AUTHOR
          Copyright (C) 1993 by Jef Poskanzer and George Phillips






     Page 1                                           (printed 3/1/94)



