


     pnmpaste(1)         AMIGA (21 February 1991)          pnmpaste(1)



     NAME
          pnmpaste - paste a rectangle into a portable anymap

     SYNOPSIS
          pnmpaste [-replace|-or|-and |-xor] frompnmfile x y
          [intopnmfile]

     DESCRIPTION
          Reads two portable anymaps as input.  Inserts the first
          anymap into the second at the specified location, and
          produces a portable anymap the same size as the second as
          output.  If the second anymap is not specified, it is read
          from stdin.  The x and y can be negative, in which case they
          are interpreted relative to the right and bottom of the
          anymap, respectively.

          This tool is most useful in combination with pnmcut.  For
          instance, if you want to edit a small segment of a large
          image, and your image editor cannot edit the large image,
          you can cut out the segment you are interested in, edit it,
          and then paste it back in.

          Another useful companion tool is pbmmask.

          The optional flag specifies the operation to use when doing
          the paste.  The default is -replace.  The other, logical
          operations are only allowed if both input images are
          bitmaps.  These operations act as if white is TRUE and black
          is FALSE.

          All flags can be abbreviated to their shortest unique
          prefix.

     SEE ALSO
          pnmcut(1), pnminvert(1), pnmarith(1), pnm(5), pbmmask(1)

     AUTHOR
          Copyright (C) 1989, 1991 by Jef Poskanzer.

















     Page 1                                           (printed 3/1/94)



